Method: ragDataSchemas.create

Full name: projects.locations.ragCorpora.ragDataSchemas.create

Creates a RagDataSchema.

Endpoint

post https://{service-endpoint}/v1beta1/{parent}/ragDataSchemas

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the RagCorpus to create the RagDataSchema in. Format: projects/{project}/locations/{location}/ragCorpora/{ragCorpus}

Query parameters

ragDataSchemaId string

Optional. The id to use for the RagDataSchema, which will become the final component of the RagDataSchema's resource name if the user chooses to specify. Otherwise, RagDataSchema id will be generated by system.

This value should be up to 63 characters, and valid characters are /[a-z][0-9]-/. The first character must be a letter, the last could be a letter or a number.

Request body

The request body contains an instance of RagDataSchema.

Response body

If successful, the response body contains a newly created instance of RagDataSchema.